rpms/totem/devel totem-bin-backend-ondemand.sh, 1.2, 1.3 totem.spec, 1.181, 1.182

Stewart Adam (firewing) fedora-extras-commits at redhat.com
Wed Mar 19 18:11:37 UTC 2008


Author: firewing

Update of /cvs/extras/rpms/totem/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv23877

Modified Files:
	totem-bin-backend-ondemand.sh totem.spec 
Log Message:
Fixes from bz#327211: Use alternatives to switch totem's backends



Index: totem-bin-backend-ondemand.sh
===================================================================
RCS file: /cvs/extras/rpms/totem/devel/totem-bin-backend-ondemand.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- totem-bin-backend-ondemand.sh	5 Mar 2008 00:00:03 -0000	1.2
+++ totem-bin-backend-ondemand.sh	19 Mar 2008 18:10:31 -0000	1.3
@@ -28,9 +28,19 @@
 		echo "*** Invalid backend name ***"
 		usage
 	fi
-
-	# FIXME if someone can explain update-alternatives to me
-
+  _LIBDIR="$(rpm --eval '%{_libdir}')"
+  if [ -f $_LIBDIR/libbaconvideowidget-gstreamer.so.0.0.0 ];then
+    if [ -f $_LIBDIR/libbaconvideowidget-xine.so.0.0.0 ];then
+      # only if both files exist
+      /usr/sbin/alternatives --set totem-backend $_LIBDIR/libbaconvideowidget-$TOTEM_BACKEND.so.0.0.0
+    else
+      echo -e 'Error: The xine backend was not found! Please check your totem installation.'
+      exit 1
+    fi
+  else
+    echo -e 'Error: The gstreamer backend was not found! Please check your totem installation.'
+    exit 1
+  fi
 	exit 0
 }
 # end functions
@@ -64,4 +74,3 @@
 	shift 3
 	LD_PRELOAD=libgdk-x11-2.0.so.0:libbaconvideowidget-$TOTEM_BACKEND.so.0.0.0 exec $BIN "$@"
 fi
-


Index: totem.spec
===================================================================
RCS file: /cvs/extras/rpms/totem/devel/totem.spec,v
retrieving revision 1.181
retrieving revision 1.182
diff -u -r1.181 -r1.182
--- totem.spec	17 Mar 2008 19:44:29 -0000	1.181
+++ totem.spec	19 Mar 2008 18:10:31 -0000	1.182
@@ -10,11 +10,11 @@
 Summary: Movie player for GNOME
 Name: totem
 Version: 2.23.0
-Release: 5%{?dist} 
+Release: 6%{?dist} 
 License: GPLv2 with exception
 Group: Applications/Multimedia
 URL: http://www.gnome.org/projects/totem/
-Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/2.21/totem-%{version}.tar.bz2
+Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/2.23/totem-%{version}.tar.bz2
 Source1: totem-bin-backend-ondemand.sh
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
 
@@ -256,9 +256,6 @@
 popd
 %endif
 
-# Restore the default backend
-ln -sf %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget.so.0.0.0
-
 rm -f $RPM_BUILD_ROOT%{_libdir}/totem/plugins/*/*.{a,la} \
  $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{a,la} \
  $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.{a,la} \
@@ -285,9 +282,13 @@
   /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
 fi
 
-%post gstreamer -p /sbin/ldconfig
+%post gstreamer
+/usr/sbin/alternatives --install %{_libdir}/libbaconvideowidget.so.0.0.0 totem-backend %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0 2
+/sbin/ldconfig
 
-%post xine -p /sbin/ldconfig
+%post xine
+/usr/sbin/alternatives --install %{_libdir}/libbaconvideowidget.so.0.0.0 totem-backend %{_libdir}/libbaconvideowidget-xine.so.0.0.0 1
+/sbin/ldconfig
 
 %pre
 if [ "$1" -gt 1 ]; then
@@ -310,7 +311,6 @@
 fi
 
 %postun
-/sbin/ldconfig
 scrollkeeper-update -q
 update-desktop-database -q
 touch %{_datadir}/icons/hicolor
@@ -318,9 +318,14 @@
   /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
 fi
 
-%postun gstreamer -p /sbin/ldconfig
+%postun gstreamer
+/usr/sbin/alternatives --remove totem-backend %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0
+/sbin/ldconfig
+
+%postun xine
+/usr/sbin/alternatives --remove totem-backend %{_libdir}/libbaconvideowidget-xine.so.0.0.0
+/sbin/ldconfig
 
-%postun xine -p /sbin/ldconfig
 
 %post mythtv
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
@@ -414,7 +419,6 @@
 %{_libdir}/totem/plugins/publish
 
 %files gstreamer
-%{_libdir}/libbaconvideowidget.so.0.0.0
 %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0
 
 %if %{with_xine}
@@ -423,7 +427,14 @@
 %endif
 
 %changelog
-* Mon Mar 17 2008 Jesse Keating <jkeating at redhat.com> - 2.23.0-5 
+* Wed Mar 19 2008 Stewart Adam <s.adam at diffingo.com> - 2.23.0-6
+- Use alternatives to switch the backend
+- Update totem-backend script accordingly
+- Remove ldconfig from %%postun, do that in individual the backends instead
+- Do not restore a default backend, ldconfig in backends does this
+- Fix Source0 URL
+
+* Mon Mar 17 2008 Jesse Keating <jkeating at redhat.com> - 2.23.0-5
 - Fix some Provides to prevent cross arch obsoletions.
 
 * Mon Mar 10 2008 - Bastien Nocera <bnocera at redhat.com> - 2.23.0-4




More information about the fedora-extras-commits mailing list